# std::chrono::system_clock::from_time_t

From cppreference.com
< cpp‎ | chrono‎ | system clock

static std::chrono::system_clock::time_point from_time_t( std::time_t t ); |  | (since C++11)

Converts `t` to a time point type, using the coarser precision of the two types.

If `time_point` has lower precision, it is implementation defined whether the value is rounded or truncated.

### Parameters

t | - | std::time_t value to convert

### Return value

A value of type std::chrono::system_clock::time_point representing `t`.

### Exceptions

`noexcept` specification:
noexcept

### See also

to_time_t [static] | converts a system clock time point to std::time_t (public static member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/chrono/system_clock/from_time_t&oldid=91368"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template